[Skip to Content]
gpgAuth-npapi : Documentation : Building/Compiling : Linux

In order to build/compile the gpgAuth NPAPI plugin, the FireBreath project needs to first be built. You can build the project for make, CodeBlocks IDE or the Eclipse IDE.

To generate the project for make, go into the source directory or git repository via the command line, and issue the following command:

firebreath/prepmake.sh . build

To generate the project for CodeBlocks IDE, use prepcodeblocks.sh

firebreath/prepcodeblocks.sh . build

To generate the project for Eclips IDE, use prepeclipse.sh

firebreath/prepeclipse.sh . build

This will generate the project environment place it into the directory ./build

NOTE: Do not change the files in the build directory. The build directory is a temporary staging area - all changes to the plugin source should be made in the ./gpgAuthPlugin folder.

Compile from the command line using CMake

To build from the command line on Linux (without using the an IDE), go into the source directory or git repository and execute the following command:

cmake --build build --config MinSizeRel --target gpgAuthPlugin

Compile from the command line using Make

To build from the command line on Linux (without using the an IDE), go into the ./build directory execute the following command:

make gpgAuthPlugin

Compile using CodeBlocks IDE

To build/compile the NPAPI plugin using the CodeBlocks IDE, open the project file and use the normal build/compile methods.

Compile using Eclipse IDE

To build/compile the NPAPI plugin using the Eclipse IDE, open the project file and use the normal build/compile methods.

The compiled NPAPI library can be located in build/bin/gpgAuthPlugin/npgpgAuthPlugin.so

<< 2.2.2 : Mac OSX
INDEX
 
 
mod_python  gpgAuth Enabled